Name:           htmlunit
Version:        2.20
Release:        2%{?dist}
Summary:        A headless web browser for automated testing
License:        ASL 2.0 
URL:            http://htmlunit.sourceforge.net/
# Source0:        http://downloads.sourceforge.net/htmlunit/%%{name}-%%{version}-src.zip
# Steps for generate the archive:
# svn checkout svn://svn.code.sf.net/p/htmlunit/code/tags/HtmlUnit-2.20/  htmlunit-2.20
# Cleanup, remove unused test resources (taraball become more lightweight: 60MB >> 24MB)
# find htmlunit-2.20 -name '*.jar' -print -delete
# find htmlunit-2.20 -name '*.js' -print -delete 
# find htmlunit-2.20 -name '*.class' -print -delete
# find htmlunit-2.20 -name '*.dll' -print -delete
# find htmlunit-2.20 -name '*.exe' -print -delete
# find htmlunit-2.20 -name '*.gz' -print -delete
# find htmlunit-2.20 -name 'php-cgi' -print -delete
# rm -rf htmlunit-2.20/src/test/resources/libraries
# rm -rf htmlunit-2.20/src/test/resources/pjl-comp-filter
# tar cJf htmlunit-2.20.tar.xz htmlunit-2.20

Source0:        %{name}-%{version}.tar.xz

BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(net.sourceforge.cssparser:cssparser)
BuildRequires:  mvn(net.sourceforge.htmlunit:htmlunit-core-js)
BuildRequires:  mvn(net.sourceforge.nekohtml:nekohtml)
BuildRequires:  mvn(org.apache.commons:commons-lang3)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.httpcomponents:httpclient)
BuildRequires:  mvn(org.apache.httpcomponents:httpmime)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.eclipse.jetty.websocket:websocket-client)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xalan:xsltc)
BuildRequires:  mvn(xerces:xercesImpl)

BuildArch:      noarch

%description
HtmlUnit is a "GUI-Less browser for Java programs". It models HTML 
documents and provides an API for automated testing of
web applications. 

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
#find -name '*.jar' -print -delete 
#find -name '*.class' -print -delete

%pom_xpath_remove "pom:build/pom:extensions"

%pom_xpath_set "pom:packaging" bundle
%pom_xpath_remove "pom:Embed-Dependency"

# unwanted plugin
%pom_remove_plugin :maven-assembly-plugin
%pom_remove_plugin :maven-eclipse-plugin
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-scm-plugin
%pom_remove_plugin :maven-site-plugin
%pom_remove_plugin :maven-source-plugin

# Unavailable test deps
%pom_remove_dep :gsbase
%pom_remove_dep org.seleniumhq.selenium:
%pom_xpath_remove "pom:dependency[pom:type = 'test-jar']"
# org.apache.httpcomponents:httpclient:4.1.2:test-jar
%pom_xpath_remove "pom:project/pom:dependencies/pom:dependency[pom:scope = 'test']"

%pom_add_dep xalan:xsltc:2.7.1

%mvn_file : %{name}

%build

# enabling tests would require packaging some selenium plugins
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Mon Jun 20 2016 gil cattaneo <puntogil@libero.it> 2.20-2
- add missing build requires: maven-plugin-bundle

* Mon Mar 07 2016 gil cattaneo <puntogil@libero.it> 2.20-1
- update to 2.20

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 14 2015 gil cattaneo <puntogil@libero.it> 2.19-1
- update to 2.19

* Wed Oct 07 2015 gil cattaneo <puntogil@libero.it> 2.18-1
- update to 2.18

* Thu Jul 02 2015 gil cattaneo <puntogil@libero.it> 2.17-1
- update to 2.17

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 22 2015 gil cattaneo <puntogil@libero.it> 2.16-1
- update to 2.16

* Thu Feb 05 2015 gil cattaneo <puntogil@libero.it> 2.9-10
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.9-8
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 17 2013 gil cattaneo <puntogil@libero.it> 2.9-7
- fix rhbz#992488
- removed unneeded jakarta-commons-httpclient
- fix BR list
- use pom macros
- minor changes to adapt to current guideline

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.9-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 02 2011 Andy Grimm <agrimm@gmail.com> - 2.9-1
- Initial package
